local M = {}
M.type = "auxilliary"
M.relevantDevice = nil

-- variables
local abs = math.abs
local brakeThreshold = 50

-- when crash detected (uses same technique as postCrashBrake.lua), turn on horn
local function updateGFX(dt)
	if (abs(sensors.gx2) > brakeThreshold or abs(sensors.gy2) > brakeThreshold) then
		electrics.horn(true)
		gui.message("Impact detected, turning on horn...")
	end
end

-- when the car is reset, turn the horn off
local function onReset()
	electrics.horn(false)
end

-- public interface
M.onReset  = onReset
M.updateGFX = updateGFX

return M